> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/bannerx.md).

# Generate banner X ads

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/integration/bannerx) in the new Integration APIs space of our documentation.
{% endhint %}

## POST /ads/bannerx

> Generate banner X ads

```json
{"openapi":"3.1.0","info":{"title":"integration","version":"1"},"servers":[{"url":"https://integration-BASE-URL.citrusad.com/v1/"}],"security":[{"sec0":[]}],"components":{"securitySchemes":{"sec0":{"in":"header","name":"Authorization","type":"apiKey"}}},"paths":{"/ads/bannerx":{"post":{"deprecated":false,"description":"","operationId":"bannerx","requestBody":{"content":{"application/json":{"schema":{"properties":{"audience":{"items":{"properties":{"segmentIds":{"default":[],"description":"The list of segment IDs that the customer can access.","items":{"type":"string"},"type":"array"},"sourceId":{"default":"retailer-cdp-1","description":"The agreed ID of the source between Epsilon and yourself. Used when multiple sources are used for segments. Not required if only syncing from one source.","type":"string"}},"type":"object"},"type":"array"},"bannerSlotIds":{"description":"The banner slots ads are required for.","items":{"properties":{"maxNumberOfAds":{"description":"The maximum number of product ads to receive.","format":"int32","type":"integer"},"slotId":{"description":"The bannerSlotId ads are required for.","type":"string"}},"type":"object"},"type":"array"},"catalogId":{"description":"The catalogId you are requesting ads for. Typically a single identifier for a retailer.","type":"string"},"contentStandardId":{"description":"The banner contentStandardId. Required for banners.","type":"string"},"customerId":{"description":"Your unique customerId. Optional.","type":"string"},"options":{"items":{"properties":{"cached":{"default":false,"description":"Defines if the retailer expects to cache the adId","type":"boolean"},"filtermode":{"default":"AndOr","description":"Defines the ad generation filtering mode.","type":"string"},"includeAdvertiserInfo":{"default":true,"description":"Defines if the retailer requires advertiser information to comply with the EU's Digital Services Act","type":"boolean"}},"type":"object"},"type":"array"},"placement":{"description":"The placement you are requesting ads for.","type":"string"},"productFilters":{"default":"[     [       \"category:Frozen\"     ],     [\"Location:Brisbane Central\"]]","description":"An array or arrays are required depending on your ad generation filtering. Used in category placements or any other placement to further define business rules. Not currently compatible with cross-sell or upsell placements.","format":"json","type":"string"},"searchTerm":{"description":"Used for search placements. The exact search term entered by the customer on your site.","type":"string"},"sessionId":{"description":"Unique sessionId used for attribution. Required to be consistent between a user's session and order reporting.","type":"string"}},"required":["catalogId","placement"],"type":"object"}}}},"responses":{"200":{"content":{"application/json":{}},"description":"200"},"400":{"content":{"application/json":{}},"description":"400"},"401":{"content":{"text/plain":{}},"description":"401"},"403":{"content":{"text/plain":{}},"description":"403"},"404":{"content":{"text/plain":{}},"description":"404"},"429":{"content":{"text/plain":{}},"description":"429"},"500":{"content":{"text/plain":{}},"description":"500"},"502":{"content":{"text/plain":{}},"description":"502"},"503":{"content":{"text/plain":{}},"description":"503"},"504":{"content":{"text/plain":{}},"description":"504"}},"summary":"Generate banner X ads"}}}}
```
